Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.jmx.builder
[Groovy] Class JmxAttributeInfoManager

    java.lang.Object
      groovy.jmx.builder.JmxAttributeInfoManager

    class JmxAttributeInfoManager
    extends Object

This class is responsible for assembling JMX Attribute Info from the meta map. It cycles through the meta map from the Node and generate JMX Info objects used to expose information in the MBeanServer.

Authors:
  Vladimir Vivien

See Also:
  JmxMetaMapBuilder

Method Summary
`static ModelMBeanAttributeInfo` | `getAttributeInfoFromMap(Map map)` This method builds a single ModelMBeanAttribute info from a given meta data map object.
`static List` | `getAttributeInfosFromMap(Map metaMap)` Generates a list of ModelMBeanAttributeInfo from a list meta data Maps.

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getAttributeInfoFromMap

    static ModelMBeanAttributeInfo getAttributeInfoFromMap(Map map)

  This method builds a single ModelMBeanAttribute info from a given meta data map object.
  Parameters:
    `the` - map object containing the meta data
  Returns:
    the generated ModelMBeanAttribute Info object.

### getAttributeInfosFromMap

    static List getAttributeInfosFromMap(Map metaMap)

  Generates a list of ModelMBeanAttributeInfo from a list meta data Maps.
  Parameters:
    `list` - of meta data maps
  Returns:
    ModelMBeanAttributeInfo

Copyright © 2003-2010 The Codehaus. All rights reserved.